hypercat
========
Hypercubes of (clumpy) AGN tori

**Authors:** Robert Nikutta [\<robert.nikutta@gmail.com\>](mailto:robert.nikutta@gmail.com), Enrique Lopez-Rodriguez, Kohei Ichikawa

**Version:** 2021-05-31

**License:** BSD-3-Clause, please see [LICENSE](./LICENSE) file

**Attribution:** Please cite this repository, and the following papers:

[R. Nikutta, E. Lopez-Rodriguez, K. Ichikawa, N. A. Levenson, C. Packham, A. Alonso-Herrero, S. F. Hönig; "Hypercubes of AGN Tori (HYPERCAT) -- I. Models and Image Morphology"; ApJ 2021, accepted for publication](TODO: link)

[Nikutta, Lopez-Rodriguez, Ichikawa, Levenson, Packham, Alonso-Herrero, Hönig; "Hypercubes of AGN Tori (HYPERCAT) -- II. Reolving the Torus with with Extremely Large Telescopes"; ApJ 2021, under review](TODO: link)

**Synopsis:**
Handle a hypercube of CLUMPY brightness maps. Easy-to-use classes and
functions are provided to interpolate images in many dimensions
(spanned by the model parameters), extract monochromatic or
multi-wavelength images, as well as rotate images, zoom in and out,
apply PSFs, extract interferometric signals, etc.

**User Manual and Examples:**
For installation instructions and many usage examples, please see the
HYPERCAT User Manual [User Manual](./docs/manual/) and the [example
Jupyter notebooks](./examples/)
